/*
* lper.c
* persistent Lua
* Luiz Henrique de Figueiredo <lhf@tecgraf.puc-rio.br>
* 06 May 2004 17:20:07
* based on an original idea by Andr de Leiradella <leiradella@bigfoot.com>
* This code is hereby placed in the public domain.
*/

#include <stdio.h>
#include <stdlib.h>

#include "lpsm.h"

#include "lua.h"
#include "lper.h"

lua_State *lper_open(void)
{
 void **r=lpsm_init("lper.dat","lper.log");
 lua_State *L=*r;
 if (L==NULL) *r=L=lua_open();
 return L;
}

void lper_close(lua_State *L)
{
 lpsm_checkpoint(0.0,PSMSYNC_SYNC);
 lpsm_shutdown();
}

void *lper_realloc(void *p, size_t oldsize, size_t size)
{
 return lpsm_realloc(p,size);
}

void lper_free(void *p, size_t oldsize)
{
 lpsm_free(p);
}
